"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.backlogCreate = void 0;
const fs_1 = require("fs");
const extensions_1 = require("../../../../extensions");
const backlogServiceFactory_1 = require("../../../../factories/backlogServiceFactory");
const services_1 = require("../../../../services");
const utils_1 = require("../../../../utils");
exports.backlogCreate = new extensions_1.Command()
    .name("create")
    .description("Backlog Creation")
    .addAction((options, config) => __awaiter(void 0, void 0, void 0, function* () {
    const { backlog } = config;
    const backlogService = backlogServiceFactory_1.BacklogServiceFactory.get(backlog);
    const { file } = options;
    const backlogItems = yield utils_1.FileUtils.readJson(file);
    yield backlogService.createBacklogItems(backlogItems);
    const sampleBacklogItems = services_1.BaseBacklogService.createSampleBacklogItems();
    fs_1.writeFileSync("backlogItems.json", JSON.stringify(sampleBacklogItems, null, 4));
}));
