"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileCreate = void 0;
const extensions_1 = require("../../../../../extensions");
const factories_1 = require("../../../../../factories");
const utils_1 = require("../../../../../utils");
exports.agileCreate = new extensions_1.Command()
    .name("create")
    .description("Backlog Creation")
    .addAction((options, config) => __awaiter(void 0, void 0, void 0, function* () {
    const { agile: agileConfig } = config;
    if (!agileConfig) {
        throw new Error("Section agile is required for this operation");
    }
    // Instantiate agile service from factory
    const agileService = factories_1.AgileServiceFactory.get(agileConfig);
    // Read agile items from provided file
    const { file } = options;
    const agileItems = yield utils_1.FileUtils.readJson(file);
    // Create Backlog Items
    yield agileService.createBacklogItems(agileItems);
}));
