"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookTemplateCopy = void 0;
const constants_1 = require("../../../../../../constants");
const extensions_1 = require("../../../../../../extensions");
const factories_1 = require("../../../../../../factories");
const services_1 = require("../../../../../../services");
const utils_1 = require("../../../../../../utils");
exports.playbookTemplateCopy = new extensions_1.Command()
    .name("copy")
    .description("Copy templates from playbook to local working directory")
    .option("-p, --path <template-path>", "Path to template within playbook repo")
    .option("-b, --branch <branch>", "Branch of playbook to use")
    .option("-o, --out-path <out-path>", "Local path to which file will be written. Defaults to name of template file")
    .addAction((options) => __awaiter(void 0, void 0, void 0, function* () {
    const githubService = factories_1.RepoServiceFactory.get({
        providerName: services_1.RepoServiceProvider.GitHub
    });
    const { path, branch } = options;
    const playbookOwnerName = utils_1.Config.getValue(constants_1.ConfigValue.PlaybookOwnerName);
    const playbookRepoName = utils_1.Config.getValue(constants_1.ConfigValue.PlaybookRepoName);
    console.log(`Getting template from ${playbookOwnerName}/${playbookRepoName} at path ${path}`);
    yield githubService.downloadRepoItem(playbookOwnerName, playbookRepoName, path, branch);
}));
