"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BacklogServiceFactory = void 0;
class BacklogServiceFactory {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types,@typescript-eslint/no-explicit-any
    static register(providerName, service) {
        this.registry[providerName] = service;
    }
    static get(config) {
        const { providerName } = config;
        const service = this.registry[providerName];
        if (!service) {
            throw new Error(`Backlog service ${providerName} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return new service(config);
    }
}
exports.BacklogServiceFactory = BacklogServiceFactory;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
BacklogServiceFactory.registry = {};
