import { BacklogItem, Project, Sprint } from "../../../models";
import { AgileConfig } from "../../../models/config/agile/agileConfig";
import { BaseAgileService } from "../baseAgileService";
export interface AzureDevOpsProviderOptions {
    baseUrl: string;
    projectName: string;
    personalAccessToken: string;
}
export interface AzureDevOpsBacklogConfig extends AgileConfig {
    providerOptions: AzureDevOpsProviderOptions;
}
export declare class AzureDevOpsAgileService extends BaseAgileService {
    private projectName;
    private workItemTracking;
    private workApi;
    private coreApi;
    private teamContext?;
    constructor(config: AzureDevOpsBacklogConfig);
    createProject: () => Promise<Project>;
    createProviderBacklogItems: (items: BacklogItem[]) => Promise<BacklogItem[]>;
    getSprint: (id: string) => Promise<Sprint>;
    createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    deleteSprint: (id: string) => Promise<void>;
    private createProviderSprint;
    private createOrUpdateClassificationNode;
    private deleteNodeAndIterationIfExists;
    private getTeamContext;
}
