import { BacklogService } from "../../models";
import { BacklogItem } from "../../models/backlog/backlogItem";
import { Sprint } from "../../models/backlog/sprint";
import { BacklogConfig } from "../../models/config/backlog/backlogConfig";
export declare abstract class BaseBacklogService implements BacklogService {
    protected config: BacklogConfig;
    constructor(config: BacklogConfig);
    static createSampleBacklogItems(empty?: boolean): BacklogItem[];
    createBacklogItems(items: BacklogItem[]): Promise<BacklogItem[]>;
    createSprints(sprints: Sprint[]): Promise<Sprint[]>;
    abstract getSprint: (id: string) => Promise<Sprint>;
    abstract createProviderBacklogItems: (items: BacklogItem[]) => Promise<BacklogItem[]>;
    abstract createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    abstract deleteSprint: (id: string) => Promise<void>;
    private createSprintsFromConfig;
}
