import { BacklogItem, Sprint } from "../../../models";
import { BacklogConfig } from "../../../models/config/backlog/backlogConfig";
import { BaseBacklogService } from "../baseBacklogService";
export interface AzureDevOpsProviderOptions {
    baseUrl: string;
    projectName: string;
    personalAccessToken: string;
}
export interface AzureDevOpsBacklogConfig extends BacklogConfig {
    providerOptions: AzureDevOpsProviderOptions;
}
export declare class AzureDevOpsBacklogService extends BaseBacklogService {
    private projectName;
    private workItemTracking;
    private workApi;
    private coreApi;
    private teamContext?;
    constructor(config: AzureDevOpsBacklogConfig);
    getSprint: (id: string) => Promise<Sprint>;
    createProviderBacklogItems: (items: BacklogItem[]) => Promise<BacklogItem[]>;
    createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    deleteSprint: (id: string) => Promise<void>;
    private createClassificationNode;
    private getTeamContext;
}
